dom.cpp File Reference
`#include <gecode/float/rel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::dom (Home home, FloatVar x, FloatVal n)
| Propagates .
void | Gecode::dom (Home home, const FloatVarArgs &x, FloatVal n)
| Propagates for all .
void | Gecode::dom (Home home, FloatVar x, FloatNum l, FloatNum m)
| Propagates .
void | Gecode::dom (Home home, const FloatVarArgs &x, FloatNum l, FloatNum u)
| Propagates for all .
void | Gecode::dom (Home home, FloatVar x, FloatVal n, Reify r)
| Post domain consistent propagator for .
void | Gecode::dom (Home home, FloatVar x, FloatNum l, FloatNum u, Reify r)
| Post domain consistent propagator for .
void | Gecode::dom (Home home, FloatVar x, FloatVar d)
| Constrain domain of x according to domain of d.
void | Gecode::dom (Home home, const FloatVarArgs &x, const FloatVarArgs &d)
| Constrain domain of according to domain of for all .